Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## vut.msa.helpers
Class ClientInfoHelper

    java.lang.Object
      vut.msa.helpers.Helper
          vut.msa.helpers.ClientInfoHelper

All Implemented Interfaces:
  java.io.Serializable

    public class ClientInfoHelper

extends Helper

Helper pre objekt ClientInfo. Trieda poskytuje zakladne funkcie pre pracu s objektom ClientInfo (informacie z klienta), ako su vytvorenie, zmazanie, ziskanie a podobne.

See Also:
  Serialized Form

Field Summary

Fields inherited from class vut.msa.helpers.Helper
`factory, log, session`

Constructor Summary
`ClientInfoHelper()`

Method Summary
`boolean` | `enterNewInformation(ClientInformation newInfo)` Funkcia ulozi nove informacie do databazy.
`ClientInformation` | `getInformationForClient(int clientID)` Funkcia nacita informacie o klientovi (podla jeho ID) z databazy.
`boolean` | `updateInformation(ClientInformation info)` Funkcia aktualizuje informacie v databaze o klientovi.

Methods inherited from class vut.msa.helpers.Helper
`endTransaction, openSession`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClientInfoHelper

    public ClientInfoHelper()

Method Detail

### getInformationForClient

    public ClientInformation getInformationForClient(int clientID)

  Funkcia nacita informacie o klientovi (podla jeho ID) z databazy.

  Parameters:
    `clientID` - ID klienta, ktoreho informacie chceme nacitat
  Returns:
    informacie o klientovi

### enterNewInformation

    public boolean enterNewInformation(ClientInformation newInfo)

  Funkcia ulozi nove informacie do databazy.

  Parameters:
    `newInfo` - informacie o klientovi
  Returns:
    true, ak sa ulozenie podarilo, false, ak nie.

### updateInformation

    public boolean updateInformation(ClientInformation info)

  Funkcia aktualizuje informacie v databaze o klientovi.

  Parameters:
    `info` - nove informacie, ktore sa ulozia do databazy
  Returns:
    true, ak sa ulozenie podarilo, false, ak nie.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD